package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopFavoriteRemoteController;
import edu.travel.remote.dto.AddFavoriteDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.vo.ShopFavoriteVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Set;

import static edu.travel.rpc.RPCBaseResponse.success;

@Component
public class ShopFavoriteAdapter {

    @Autowired
    private ShopFavoriteRemoteController shopFavoriteRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopFavoriteVo>> getFavorite(BaseDto baseDto) {
        return shopFavoriteRemoteController.getFavorite(baseDto);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Void> addFavorite(@RequestBody AddFavoriteDto params) {
        shopFavoriteRemoteController.addFavorite(params);
        return success();
    }

    /**
     * 移除收藏
     */
    @AdapterAnnotation
    public RPCBaseResponse<Void> removeFavorite(@RequestBody Set<String> ids) {
        shopFavoriteRemoteController.removeFavorite(ids);
        return success();
    }

    /**
     * 全部移除
     */
    @AdapterAnnotation
    public RPCBaseResponse<Void> removeAllFavorite() {
        shopFavoriteRemoteController.removeAllFavorite();
        return success();
    }
}
