package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopOpinionRemoteController;
import edu.travel.remote.dto.ShopOpinionDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopOpinionVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Component
public class ShopOpinionAdapter {
    @Autowired
    private ShopOpinionRemoteController shopOpinionRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<FileWebVo> uploadOpinionImage(MultipartFile file) {
        return shopOpinionRemoteController.uploadOpinionImage(file);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Void> saveFormTarget(ShopOpinionDto shopOpinionDto) {
        RPCBaseResponse<ShopOpinionVo> result = shopOpinionRemoteController.saveFormTarget(shopOpinionDto);
        if (result.getCode() != 200) {
            return RPCBaseResponse.error();
        }
        return RPCBaseResponse.success();
    }

    @AdapterAnnotation
    public RPCBaseResponse<Void> deleteTargetFormId(List<String> ids) {
        RPCBaseResponse<ShopOpinionVo> result = shopOpinionRemoteController.deleteTargetFormId(ids);
        if (result.getCode() != 200) {
            return RPCBaseResponse.error();
        }
        return RPCBaseResponse.success();
    }
}
