package edu.travel.adapter.service.order;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.dto.AddOrderItemDto;
import edu.travel.remote.dto.GetOrderItemDto;
import edu.travel.remote.order.ShopOrderItemRemoteController;
import edu.travel.remote.vo.OrderItemVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class OrderItemAdapter {
    @Autowired
    private ShopOrderItemRemoteController shopOrderItemRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<OrderItemVo> getOrderItemVo(GetOrderItemDto params) {
        return shopOrderItemRemoteController.getOrderItemVo(params);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Void> addShopOrderItem(List<AddOrderItemDto> params) {
        return shopOrderItemRemoteController.addShopOrderItem(params);
    }
}
