package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopMessageAdapter;
import edu.travel.remote.dto.MessageDto;
import edu.travel.remote.vo.MessageVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 商城消息表(shop_message)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopMessage")
public class ShopMessageController {
    @Autowired
    private ShopMessageAdapter shopMessageAdapter;

    /**
     *  获取消息记录
     * @param messageDto
     * @return {@link RPCBaseResponse }<{@link Page }<{@link MessageVo }>>
     */
    @GetMapping("/getMessage")
    public RPCBaseResponse<Page<MessageVo>> getMessage(MessageDto messageDto){
        return shopMessageAdapter.getMessage(messageDto);
    }
}
