package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopOpinionTypeAdapter;
import edu.travel.remote.vo.OpinionTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 意见类型(shop_opinion_type)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopOpinionType")
public class ShopOpinionTypeController {
    @Autowired
    private ShopOpinionTypeAdapter shopOpinionTypeAdapter;

    /**
     * 根据语言ID查询意见类型
     */
    @GetMapping("/getType")
    public RPCBaseResponse<List<OpinionTypeVo>> getType(String languageId) {
        return shopOpinionTypeAdapter.getType(languageId);
    }


}
