package edu.travel.rpc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RPCBaseResponse<T> implements Serializable {
    private Integer code;
    private String msg;
    private T data;

    public <T> RPCBaseResponse(int i, String message, T data, int total, int currentPage, int pageSize) {

    }

    public static <T> RPCBaseResponse<T> success(T data) {
        return new RPCBaseResponse<>(200, "success", data);
    }

    public static <T> RPCBaseResponse<T> success() {
        return new RPCBaseResponse<>(200, "success", null);
    }

    public static <T> RPCBaseResponse<T> success(String message) {
        return new RPCBaseResponse<>(200, message, null);
    }

    public static <T> RPCBaseResponse<T> success(String message, T data) {
        return new RPCBaseResponse<>(200, message, data);
    }

    public static <T> RPCBaseResponse<T> error(T data) {
        return new RPCBaseResponse<>(200, "success", data);
    }

    public static <T> RPCBaseResponse<T> error() {
        return new RPCBaseResponse<>(500, "error", null);
    }

    public static <T> RPCBaseResponse<T> error(String message) {
        return new RPCBaseResponse<>(500, message, null);
    }

    public static <T> RPCBaseResponse<T> error(String message, T data) {
        return new RPCBaseResponse<>(500, message, data);
    }
}