package edu.travel.upload.cos;


import com.qcloud.cos.COSClient;
import com.qcloud.cos.ClientConfig;
import com.qcloud.cos.auth.BasicCOSCredentials;
import com.qcloud.cos.auth.COSCredentials;
import com.qcloud.cos.region.Region;
import edu.travel.upload.cos.property.CosProperties;
import org.apache.http.impl.conn.PoolingHttpClientConnectionManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnClass(COSClient.class)
public class TencentCosClient {
    private static PoolingHttpClientConnectionManager connectionManager;
    @Autowired
    private CosProperties cosProperties;

    public static void initializeConnectionManager() {
        // 在这里初始化连接池
        connectionManager = createConnectionManager();
    }

    private static PoolingHttpClientConnectionManager createConnectionManager() {
        // 创建并配置连接池
        return new PoolingHttpClientConnectionManager();
    }

    @Bean
    public COSClient getCosClient() {
        initializeConnectionManager();
        COSCredentials cred = new BasicCOSCredentials(cosProperties.getAccessKey(), cosProperties.getSecretKey());
        ClientConfig clientConfig = new ClientConfig(new Region(cosProperties.getRegionName()));
        COSClient cosClient = new COSClient(cred, clientConfig);
        return cosClient;
    }
}
