package edu.travel.upload.oss;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import edu.travel.upload.oss.property.CloudOssProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnClass(OSS.class)
public class AlibabaOSSClient {
    @Autowired
    private CloudOssProperty cloudOssProperty;

    @Bean
    public OSS ossClient() {
        OSS ossClient = new OSSClientBuilder().build(cloudOssProperty.getEndpoint(), cloudOssProperty.getAccessKeyId(), cloudOssProperty.getAccessKeySecret());
        return ossClient;
    }

}
