package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateAddressDto;
import edu.travel.remote.vo.ShopAddressVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "commodity-dev", path = "/shopAddress")
public interface ShopAddressRemoteController {
    @GetMapping("/getShopAddress")
    public RPCBaseResponse<Page<ShopAddressVo>> getShopAddress(@SpringQueryMap BaseDto dto);

    @PostMapping("/savaOrUpdateAddressById")
    public RPCBaseResponse<Boolean> updateAddressById(@RequestBody UpdateAddressDto param);
}
