package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ParametersDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.dto.ShopParametersDto;
import edu.travel.remote.vo.ParametersVo;
import edu.travel.remote.vo.ShopParametersVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "commodity-dev", path = "/shopParameters")
public interface ShopParametersRemoteController extends RemoteBaseController<ShopParametersVo, ShopParametersDto> {
    @GetMapping("getShopParameters")
    public RPCBaseResponse<Page<ShopParametersVo>> getShopParameters(@SpringQueryMap ProductSpecDto param);

    @GetMapping("/getFormId")
    public RPCBaseResponse<ShopParametersVo> getFormId(String id);

    @GetMapping("/getAllForm")
    public RPCBaseResponse<List<ShopParametersVo>> getAllForm();

    @GetMapping("/getAllParameters")
    public RPCBaseResponse<Page<ParametersVo>> getAllParameters(@SpringQueryMap ParametersDto param);
}
