package edu.travel.remote.commodity;

import edu.travel.remote.dto.AddShopOrderDto;
import edu.travel.remote.dto.PayShopOrderDto;
import edu.travel.remote.vo.ShopSkuSpecValueVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;
import java.util.Set;

@FeignClient(name = "commodity-dev", path = "/shopProductSku")
public interface ShopProductSkuRemoteController {
    @GetMapping("/getSkuValuesById")
    public RPCBaseResponse<Map<String, List<ShopSkuSpecValueVo>>> getSkuValuesById(@RequestParam("skuId") Set<String> skuId);

    @PostMapping("/shopProductSku")
    public RPCBaseResponse<Void> shopProductSku(@RequestBody AddShopOrderDto params);

    @PostMapping("/payProductSku")
    public RPCBaseResponse<Void> payProductSku(@RequestBody PayShopOrderDto payShopOrderDto);
}
