package edu.travel.remote.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类功能描述：
 * 购物车列表
 *
 * @author 大春
 * @date 2025/03/03
 */

@Data
public class ShopCartListVo {
    /**
     * '购物车表ID'
     */
    private String id;
    /**
     * SKU ID
     */
    private String skuId;
    /**
     * 商品ID
     */
    private String productId;

    /**
     * 产品sku_ID
     */
    private String productSkuId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;

    /**
     * SKU商品图片
     */
    private String skuImage;

    /**
     * 数量
     */
    private Integer quantity;
    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 库存
     */
    private Integer inventory;

    /**
     * 规格值
     */
    private List<SpecValueVo> specValue;

    /**
     * state  0 上架 1 下架
     */
    private String state;

    /**
     * 商品状态 0 上架 1 下架
     */
    private String productState;

}
