package edu.travel.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_currency")
public class ShopCurrencyDto extends PagePO {
    /**
     * ID
     */
    private String id;

    /**
     * 货币名称_en
     */
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    private String currencyNameZh;

    /**
     * 货币代码
     */
    private String currencyCode;

    /**
     * 货币符号
     */
    private String currencySymbol;
    /**
     * 货币单位
     */
    private String currencyUnit;

    /**
     * 状态 -0启用  -1禁用
     */
    private Integer status;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}