package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.ShopCurrencyDto;
import edu.travel.dto.ShopCurrencyStatusDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopCurrencyStatusVo;
import edu.travel.vo.ShopCurrencyVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(path = "/shopCurrency", name = "country-dev")
public interface ShopCurrencyRemoteController extends RemoteBaseController<ShopCurrencyVo, ShopCurrencyDto> {
    @GetMapping("/getCurrencyPage")
    public RPCBaseResponse<IPage<ShopCurrencyVo>> getCurrencyPage(ShopCurrencyDto dto);

    @PostMapping("/updateCurrencyStatus")
    public RPCBaseResponse<ShopCurrencyStatusVo> updateCurrencyStatus(@RequestBody ShopCurrencyStatusDto shopCurrencyStatusDto);
}
