package edu.travel.remote.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 类功能描述：
 * 新增订单子类
 *
 * @author 大春
 * @date 2025/03/06
 */

@Data
public class AddOrderItemDto {
    /**
     * 订单表ID
     */
    private String orderId;

    /**
     * SKU
     */
    private String skuId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 使用的用户优惠券ID
     */
    private String userCouponId;

    /**
     * 优惠券抵扣金额
     */
    private BigDecimal couponDiscount;

    /**
     * 商品快照
     */
    private String snapshot;

    /**
     * 订单商品状态 默认0 -0正常;-1退货
     */
    private Integer state;

    /**
     * 商品ID
     */
    private String productId;
}
