package edu.travel.remote.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ShopOrderDto {
    /**
     * 订单表ID
     */
    private String id;

    /**
     * 仓库ID
     */
    private Long warehouseId;

    /**
     * 订单备注
     */
    private String orderRemark;

    /**
     * 国家id
     */
    private String countryId;

    /**
     * 服务费id
     */
    private String serviceChargeId;

    /**
     * 服务费比率
     */
    private BigDecimal serviceChargeValue;

    /**
     * 支付方式id
     */
    private String payId;

    /**
     * 支付方法值
     */
    private String payWayValue;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 收货地址
     */
    private String addressId;

    /**
     * 收货地址
     */
    private String address;
    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 累计金额
     */
    private BigDecimal totalAmount;

    /**
     * 货币
     */
    private String currencyId;
    /**
     * 货币
     */
    private String currency;
    /**
     * 汇率
     */
    private BigDecimal exchangeRate;

    /**
     * 0待付款, 1已下单, 2待发货,3待收货,4待评价,5已完成,6已取消
     */
    private Integer status;

    /**
     * 支付时间
     */
    private Date paymentTime;

    /**
     * 优惠券抵扣金额
     */
    private BigDecimal couponDiscount;

    /**
     * 平台优惠券ID
     */
    private String globalCouponId;
}
