package edu.travel.remote.feign.mode.dto.tenant;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * AddOrUpdateRoleDto 类。
 * <p>
 * 描述：新建角色+分配菜单
 *
 * @author huangwenwen
 * @date 2025/2/14
 */

@Data
public class AddOrUpdateRoleDto {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 角色名称
     */
    @NotNull(message = "角色名称不能为空")
    private String name;

    /**
     * 角色描述
     */
    private String remark;

    /**
     * 菜单id集合
     */
    private List<Long> menuIds;


}
