package edu.travel.remote.feign.mode.vo.tenant;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * MenuTree 类。
 * <p>
 * 描述：菜单树
 *
 * @author huangwenwen
 * @date 2025/2/11
 */

@Data
public class MenuTreeVo extends BaseEntity {
    /**
     * 主键id
     */
    private String id;

    /**
     * 父菜单id，目录菜单的父菜单为null
     */
    private String parentId;

    /**
     * 前端表单路由名称，仅用于menu_type为1的菜单类型
     */
    private String title;

    /**
     * (0: 目录 1: 菜单 2: 按钮 )
     */
    private Integer type;

    /**
     * 组件路径
     */
    private String component;

    /**
     * 页面路由
     */
    private String path;

    /**
     * 组件名称
     */
    private String name;

    /**
     * 菜单状态 0禁用1启用
     */
    private Byte status;

    /**
     * 附加信息
     */
    private SysMenuExtraDataVo extraData;

    /**
     * 子菜单
     */
    private List<MenuTreeVo> children = new ArrayList<>();

    /**
     * 是否启用字典
     */
    private Map codeEnableDict;

    /**
     * 是否缓存字典
     */
    private Map codeMenuTypeDict;

}
