package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 商城消息表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_message")
public class ShopMessage {
    /**
     * 商品规格ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 消息类型
     */
    @TableField(value = "message_type")
    private String messageType;

    /**
     * 消息内容
     */
    @TableField(value = "message")
    private String message;

    /**
     * 发送人ID
     */
    @TableField(value = "send_user_id")
    private String sendUserId;

    /**
     * 接收人ID
     */
    @TableField(value = "to_user_id")
    private String toUserId;

    /**
     * 是否已读 0 否 1是
     */
    @TableField(value = "is_read")
    private Integer isRead;

    /**
     * 删除消息的用户
     */
    @TableField(value = "deleted_by_users")
    private String deletedByUsers;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    /**
     * 会话ID
     */
    @TableField(value = "session_id")
    private Integer sessionId;


}