package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.annotation.LinkOne;
import edu.travel.commodity.mapper.ShopOpinionTypeMapper;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * 意见表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_opinion")
public class ShopOpinion extends BaseEntity {
    /**
     * 意见类型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private String countryId;

    /**
     * 意见类型id
     */
    @TableField(value = "type_id")
    private Long typeId;

    /**
     * 描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 意见处理,默认0,0未处理,1已处理
     */
    @TableField(value = "`state`")
    private Integer state;
    /**
     * map
     */
    @TableField(exist = false)
    @LinkOne(linkField = "typeId", linkMapper = ShopOpinionTypeMapper.class, linkPrimaryField = "id")
    private Map<String, Object> map;


}