package edu.travel.commodity.web;

import edu.travel.commodity.entity.ShopProductSpec;
import edu.travel.commodity.service.ShopProductSpecService;
import edu.travel.remote.commodity.ShopProductSpecRemoteController;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
 * 商品规格表(shop_product_spec)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopProductSpec")
public class ShopProductSpecController extends BaseController<ShopProductSpec> implements ShopProductSpecRemoteController {
    /**
     * 服务对象
     */
    @Autowired
    private ShopProductSpecService shopProductSpecService;

    /**
     * 查询商品详情
     *
     * @param param
     * @return {@link BaseResponse }<{@link List }<{@link ProductSpecVo }>>
     */
    @GetMapping("/getShopSpec")
    public RPCBaseResponse<ProductSpecVo> getShopSpec(ProductSpecDto param) {
        return success(shopProductSpecService.getShopSpec(param));
    }
}
