package edu.travel.country.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.country.entity.ShopLanguage;
import edu.travel.country.mapper.ShopLanguageMapper;
import edu.travel.country.service.ShopLanguageService;
import edu.travel.dto.ShopLanguageDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.service.SysServiceImpl;
import edu.travel.vo.ShopLanguageVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

@Service
public class ShopLanguageServiceImpl extends SysServiceImpl<ShopLanguageMapper, ShopLanguage> implements ShopLanguageService {


    public RPCBaseResponse<IPage<ShopLanguageVo>> getLanguagePage(ShopLanguageDto shopLanguageDto) {
        // 创建分页对象
        Page<ShopLanguage> shopLanguagePage = new Page<>(shopLanguageDto.getCurrentPage(), shopLanguageDto.getPageSize());

        // 创建查询包装器
        LambdaQueryWrapper<ShopLanguage> queryWrapper = new LambdaQueryWrapper<>();

        // 使用模糊查询
        if (shopLanguageDto.getLanguageNameZh() != null && !shopLanguageDto.getLanguageNameZh().isEmpty()) {
            queryWrapper.like(ShopLanguage::getLanguageNameZh, shopLanguageDto.getLanguageNameZh());
        }
        if (shopLanguageDto.getLanguageNameEn() != null && !shopLanguageDto.getLanguageNameEn().isEmpty()) {
            queryWrapper.like(ShopLanguage::getLanguageNameEn, shopLanguageDto.getLanguageNameEn());
        }
        if (shopLanguageDto.getLanguageNameLocal() != null && !shopLanguageDto.getLanguageNameLocal().isEmpty()) {
            queryWrapper.like(ShopLanguage::getLanguageNameLocal, shopLanguageDto.getLanguageNameLocal());
        }

        // 执行分页查询
        IPage<ShopLanguage> pageLink = super.getPageLink(queryWrapper, shopLanguagePage);
        // 创建返回的页面对象
        IPage<ShopLanguageVo> pageVoLink = new Page<>();
        BeanUtils.copyProperties(pageLink, pageVoLink);
        // 封装返回结果
        return new RPCBaseResponse<>(200, "SUCCESS", pageVoLink);
    }
}
