package edu.travel.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import edu.travel.annotation.LinkConst;
import edu.travel.education.entity.dict.CourseTypeDict;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HappyEntry extends BaseEntity {
    /**
     * 主键id
     */

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @NotNull(message = "姓不能为空")
    @TableField(value = "surname")
    private String surname;

    /**
     * 国家
     */
    @NotNull(message = "国家不能为空")
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 名
     */
    @NotNull(message = "名不能为空")
    @TableField(value = "name")
    private String name;

    /**
     * 电话号码
     */
    @NotNull(message = "电话号码不能为空")
    @TableField(value = "phone")
    private String phone;

    /**
     * 国家区号
     */
    @NotNull(message = "国家区号不能为空")
    @TableField(value = "area_code")
    private String areaCode;

    /**
     * 课程类型
     */
    @NotNull(message = "课程类型不能为空")
    @TableField(value = "course_type")
    private Integer courseType;

    /**
     * 最小年龄
     */
    @NotNull(message = "最小年龄不能为空")
    @TableField(value = "min_age")
    private Integer minAge;

    /**
     * 最大年龄
     */
    @NotNull(message = "最大年龄不能为空")
    @TableField(value = "max_age")
    private Integer maxAge;

    /**
     * 邮箱
     */
    @NotNull(message = "邮箱不能为空")
    @TableField(value = "email")
    private String email;

    /**
     * 课程类型字典
     */
    @TableField(exist = false)
    @LinkConst(fieldName = "courseType", clazz = CourseTypeDict.class)
    private Map CodeCourseTypeDict;

    /**
     * 所属国家
     */
    @TableField(exist = false)
//    @LinkOne(linkField="countryId",linkMapper= BaseCountryMapper.class,linkPrimaryField="id")
    private Map CodeCountryNameDict;
}