package edu.travel.tenant.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "sys_project")
public class SysProject extends BaseEntity implements Serializable {
    /**
     * 项目id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 项目名中文
     */
    @TableField(value = "project_name_cn")
    private String projectNameCn;

    /**
     * 项目名英文
     */
    @TableField(value = "project_name_en")
    private String projectNameEn;

    /**
     * 公钥
     */
    @TableField(value = "public_key")
    private String publicKey;

    /**
     * 密钥
     */
    @TableField(value = "private_key")
    private String privateKey;

}