package edu.travel.warehouse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import edu.travel.vo.ShopWarehouseVo;
import edu.travel.warehouse.entity.ShopWarehouse;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface ShopWarehouseMapper extends BaseMapper<ShopWarehouse> {
    @Select({
            "<script>",
            "SELECT sw.*, bcs.* FROM shop_warehouse sw ",
            "LEFT JOIN base_country_serve bcs ON sw.country_serve_id = bcs.id ",
            "WHERE 1=1 ",
            "<if test='warehouseName != null and warehouseName != \"\"'>",
            "AND sw.warehouse_name LIKE CONCAT('%', #{warehouseName}, '%') ",
            "</if>",
            "<if test='status != null'>",
            "AND sw.status = #{status} ",
            "</if>",
            "<if test='parentId != null'>",
            "AND sw.parent_id = #{parentId} ",
            "</if>",
            "AND sw.delete_flag = 0 ",
            "LIMIT #{pageSize} OFFSET #{offset}",
            "</script>"
    })
    List<ShopWarehouseVo> selectWarehouseWithCountry(
            @Param("warehouseName") String warehouseName,
            @Param("status") Integer status,
            @Param("parentId") Long parentId,
            @Param("pageSize") int pageSize,
            @Param("offset") int offset
    );

    @Select({
            "<script>",
            "SELECT COUNT(*) FROM shop_warehouse sw WHERE sw.delete_flag = 0 ",
            "<if test='warehouseName != null and warehouseName != \"\"'>",
            "AND sw.warehouse_name LIKE CONCAT('%', #{warehouseName}, '%') ",
            "</if>",
            "<if test='status != null'>",
            "AND sw.status = #{status} ",
            "</if>",
            "<if test='parentId != null'>",
            "AND sw.parent_id = #{parentId} ",
            "</if>",
            "</script>"
    })
    int countWarehouseWithCountry(
            @Param("warehouseName") String warehouseName,
            @Param("status") Integer status,
            @Param("parentId") Long parentId
    );


}