package edu.travel.warehouse.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.dto.ShopWarehouseDto;
import edu.travel.dto.ShopWarehouseSaveDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopWarehouseStaffVo;
import edu.travel.vo.ShopWarehouseVo;
import edu.travel.warehouse.entity.ShopWarehouse;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ShopWarehouseService extends IService<ShopWarehouse> {
    //树形结构查询（连表）
    RPCBaseResponse<List<ShopWarehouseVo>> getWarehouseCountryForm(ShopWarehouseDto dto);

    //分页动态查询(连表)
    RPCBaseResponse<IPage<ShopWarehouseVo>> getWarehouseCountryPageForm(ShopWarehouseDto dto);

    //库房关联人员(角色）查询
    RPCBaseResponse<List<ShopWarehouseStaffVo>> getWarehouseTenantRole(String id);

    //连表新增
    RPCBaseResponse<ShopWarehouseVo> saveAllForm(@RequestBody ShopWarehouseSaveDto entity, HttpServletRequest request);

    //连表修改
    RPCBaseResponse<ShopWarehouseVo> updateWarehouse(@RequestBody ShopWarehouseSaveDto entity, HttpServletRequest request);
}
